{
  "cSpell.words": [
    "awscli",
    "gitops",
    "gmake",
    "hashicorp",
    "kops",
    "kube",
    "kubeconfig",
    "risserlabs",
    "tfplan"
  ],
  "psi-header.variables": [["projectCreationYear", "2022"]],
  "psi-header.config": {
    "blankLinesAfter": 1,
    "company": "Risser Labs LLC",
    "copyrightHolder": "Risser Labs LLC",
    "creationDateZero": "asIs",
    "forceToTop": true,
    "initials": "CR",
    "license": "Custom"
  },
  "psi-header.license-text": [],
  "psi-header.templates": [
    {
      "language": "*",
      "template": [
        " File: <<filerelativepath>>",
        " Project: <<projectname>>",
        " File Created: <<filecreated('DD-MM-YYYY HH:mm:ss')>>",
        " Author: <<author>>",
        " -----",
        " Last Modified: <<dateformat('DD-MM-YYYY HH:mm:ss')>>",
        " Modified By: <<author>>",
        " -----",
        " <<copyrightholder>> (c) Copyright <<yeartoyear(<<projectCreationYear>>, now)>>"
      ]
    }
  ],
  "psi-header.lang-config": [
    {
      "language": "*",
      "begin": "/**",
      "blankLinesAfter": 1,
      "end": " */",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": " *",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    },
    {
      "language": "makefile",
      "begin": "",
      "blankLinesAfter": 1,
      "end": "",
      "forceToTop": true,
      "lineLength": 80,
      "modAuthor": "Modified By:",
      "modDate": "Last Modified:",
      "modDateFormat": "dd-MM-yyyy HH:mm:ss",
      "prefix": "#",
      "replace": ["File:"],
      "rootDirFileName": "LICENSE",
      "suffix": ""
    }
  ],
  "psi-header.changes-tracking": {
    "autoHeader": "autoSave",
    "enforceHeader": true,
    "include": ["terraform", "makefile"],
    "isActive": true,
    "modAuthor": "Modified By:",
    "modDate": "Last Modified:",
    "modDateFormat": "dd-MM-yyyy hh:nn:ss",
    "replace": ["Filename:"],
    "updateLicenseVariables": true
  },
  "psi-header.license-reference": {
    "uri": "../LICENSE",
    "uriIsLocalFile": true
  },
  "typescript.tsc.autoDetect": "off",
  "search.exclude": {
    "**/.git": true,
    "**/.yarn": true,
    "**/node_modules": true,
    "**/yarn.lock": true
  }
}
